Subject: Re: [GIT PULL 3/7] i.MX DT bindings update for 5.1

From: Shawn Guo <[email-masked]>
Date: Mon, 18 Feb 2019 09:16:26 +0800

On Fri, Feb 15, 2019 at 04:08:41PM +0100, Arnd Bergmann wrote:
> On Tue, Feb 12, 2019 at 12:21 PM Shawn Guo <[email-masked]> wrote:
> >
> > Hi Arnd, Olof,
> >
> > In the past, I was simply using imx/dt branch to collect i.MX platform
> > related DT bindings changes, together with arm32 dts ones.  Now with the
> > move to json-schema, we are using a single fsl.yaml file to accommodate
> > both arm32 and arm64 platform bindings, while we have separate branches
> > for dts changes - imx/dt and imx/dt64.  To avoid conflicts, I chose to
> > create a new branch imx/bindings for i.MX platform bindings change for
> > this cycle.  That's why we get this pull request, which you will pull
> > into arm-soc next/dt branch, I guess.
> >
> > For future cycles, I would like to hear your thoughts on if we can use
> > a single branch for both arm32 and arm64 dts changes, so that the
> > bindings changes can go in there too.  Thanks.
> 
> I'd say you could combine them if you have only a couple of changesets
> in total, but given the current size of the branches, I prefer having three
> or even more separate branches for the DT changes.

Got it.  Thanks for the comment, Arnd.

Shawn

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel